## org.eclipse.emf.cdo.defs
Interface CDOEagerPackageRegistryDef

All Superinterfaces:
  CDOPackageRegistryDef, org.eclipse.net4j.util.defs.Def, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CDOEagerPackageRegistryDefImpl

    public interface CDOEagerPackageRegistryDef

extends CDOPackageRegistryDef

A representation of the model object 'Eager Package Registry Def'.

See Also:
  `CDODefsPackage.getCDOEagerPackageRegistryDef()`

Method Summary

Methods inherited from interface org.eclipse.emf.cdo.defs.CDOPackageRegistryDef
`getPackages`

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.